<?xml version="1.0" encoding="UTF-8"?>
<!--

    This file is part of maven-build-process. It is subject to the license terms in the LICENSE file found in the top-level
    directory of this distribution and at http://creativecommons.org/publicdomain/zero/1.0/. No part of maven-build-process,
    including this file, may be copied, modified, propagated, or distributed except according to the terms contained
    in the LICENSE file.

-->
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
  <modelVersion>4.0.0</modelVersion>

  <!-- ordering follows https://maven.apache.org/developers/conventions/code.html#POM_Code_Convention -->

  <!-- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -->
  <!--                                 PARENT                                  -->
  <!-- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -->
  <!-- https://maven.apache.org/pom.html#Inheritance -->
  <parent>
    <groupId>de.xn--ho-hia.maven.boms</groupId>
    <artifactId>maven-boms</artifactId>
    <version>9999.99.99-SNAPSHOT</version>
  </parent>

  <!-- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -->
  <!--                               COORDINATES                               -->
  <!-- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -->
  <!-- https://maven.apache.org/pom.html#Maven_Coordinates -->
  <artifactId>maven-boms-javax</artifactId>
  <packaging>pom</packaging>

  <!-- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -->
  <!--                               INFORMATIONS                              -->
  <!-- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -->
  <!-- https://maven.apache.org/pom.html#More_Project_Information -->
  <name>Maven BOMs :: Java Extensions</name>
  <description>Java Extensions related dependencies</description>

  <!-- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -->
  <!--                                PROPERTIES                               -->
  <!-- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -->
  <!-- https://maven.apache.org/pom.html#Properties -->
  <properties>
    <version.cache-api>1.0.0</version.cache-api>
    <version.inject>1</version.inject>
    <version.cdi-api>1.2</version.cdi-api>
    <version.interceptor-api>1.2</version.interceptor-api>
    <version.jta>1.1</version.jta>
    <version.el-api>3.0.0</version.el-api>
    <version.glassfish.javax.el>3.0.0</version.glassfish.javax.el>
  </properties>

  <!-- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -->
  <!--                            DEPENDENCY MANAGEMENT                        -->
  <!-- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -->
  <!-- https://maven.apache.org/pom.html#Dependency_Management -->
  <dependencyManagement>
    <dependencies>
      <!-- JSR 107 -->
      <!-- https://jcp.org/en/jsr/detail?id=107 -->
      <dependency>
        <groupId>javax.cache</groupId>
        <artifactId>cache-api</artifactId>
        <version>${version.cache-api}</version>
      </dependency>

      <!-- JSR 299 -->
      <!-- https://jcp.org/en/jsr/detail?id=299 -->
      <dependency>
        <groupId>javax.enterprise</groupId>
        <artifactId>cdi-api</artifactId>
        <version>${version.cdi-api}</version>
      </dependency>

      <!-- JSR 303 -->
      <!-- https://jcp.org/en/jsr/detail?id=330 -->
      <dependency>
        <groupId>javax.inject</groupId>
        <artifactId>javax.inject</artifactId>
        <version>${version.inject}</version>
      </dependency>

      <!-- JSR 318 -->
      <!-- https://jcp.org/en/jsr/detail?id=318 -->
      <dependency>
        <groupId>javax.interceptor</groupId>
        <artifactId>javax.interceptor-api</artifactId>
        <version>${version.interceptor-api}</version>
      </dependency>

      <!-- JSR 341 -->
      <!-- https://www.jcp.org/en/jsr/detail?id=341 -->
      <dependency>
        <groupId>javax.el</groupId>
        <artifactId>javax.el-api</artifactId>
        <version>${version.el-api}</version>
      </dependency>
      <dependency>
        <groupId>org.glassfish</groupId>
        <artifactId>javax.el</artifactId>
        <version>${version.glassfish.javax.el}</version>
      </dependency>

      <!-- JSR 907 -->
      <!-- https://jcp.org/en/jsr/detail?id=907 -->
      <dependency>
        <groupId>javax.transaction</groupId>
        <artifactId>jta</artifactId>
        <version>${version.jta}</version>
      </dependency>
    </dependencies>
  </dependencyManagement>

</project>
